/* Baufragen-Chat, v2
******************************/
.baufragen-chat {
    position: fixed;
    z-index: 10000;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    background-color: #fff;
    padding-top: 3rem;
    transform: translate(100%, 0);
    transition: transform .2s ease;
  }
  .baufragen-chat.open {
    transform: none;
    box-shadow: -.5rem 0 0.75rem rgb(0 0 0 / 20%);
  }
  .baufragen-chat__toggle {
    background-color: #ce191a;
    color:#fff;
    padding: .75rem;
    border: 0;
    width: auto;
    text-align: center;
    cursor: pointer;
    position: absolute;
    left: 0;
    bottom: 1rem;
    transform: translateX(-100%);
    transition: background-color .2s ease;
  }
  .baufragen-chat__toggle:hover {
    background-color: #b10d1a;
  }
  .baufragen-chat__toggle svg {
    display: block;
    width: 2rem;
    height: auto;
    margin-left: auto;
    margin-right: auto;
    fill: #fff;
  }
  .baufragen-chat__toggle div {
    display: none;
  }
  .baufragen-chat__close {
    position: absolute;
    right: 1rem;
    top: 1rem;
    background-color: #fff;
    color: #000;
    font-size: 2rem;
    line-height: 1;
    cursor: pointer;
    width: auto;
    transition: .2s ease;
    transition-property: color, border-color;
  }
  .baufragen-chat__close:hover {
    color: #b10d1a;
    border-color: #b10d1a;
    background-color: #fff;
  }
  .baufragen-chat iframe {
    max-height: calc(100vh - 3rem);
  }
  
  @media only screen and (min-width: 768px) {
    .baufragen-chat {
      width: 24rem;  
    }
    .baufragen-chat__toggle {
      padding: 1rem;
      bottom: auto;
      top: 50%;
      transform: translate(-100%, -50%);
    }
    .baufragen-chat__toggle svg {
      display: block;
      width: 3rem;
    }
    .baufragen-chat div {
      display: block;
    }
  }